Static Public Member Functions

# geos::algorithm::RobustDeterminant Class Reference

Implements an algorithm to compute the sign of a 2x2 determinant for double precision values robustly. More...

`#include <RobustDeterminant.h>`

List of all members.

## Static Public Member Functions
static int | signOfDet2x2 (double x1, double y1, double x2, double y2)
| Computes the sign of the determinant of the 2x2 matrix with the given entries, in a robust way.

## Detailed Description

Implements an algorithm to compute the sign of a 2x2 determinant for double precision values robustly.

It is a direct translation of code developed by Olivier Devillers.

The original code carries the following copyright notice:

     The original code carries the following copyright notice:
     Author : Olivier Devillers
     Olivier.Devillers@sophia.inria.fr
     http:/www.inria.fr:/prisme/personnel/devillers/anglais/determinant.html

                  Copyright (c) 1995  by  INRIA Prisme Project
                      BP 93 06902 Sophia Antipolis Cedex, France.
                               All rights reserved

## Member Function Documentation

static int geos::algorithm::RobustDeterminant::signOfDet2x2 | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[static]`

Computes the sign of the determinant of the 2x2 matrix with the given entries, in a robust way.

Returns:
  -1 if the determinant is negative,
  1 if the determinant is positive,
  0 if the determinant is 0.

The documentation for this class was generated from the following file:

- RobustDeterminant.h